#!/usr/bin/env python3
print("hello")

# Set up logging
from qtvcp import logger
log = logger.getLogger(__name__)


# Set the log level for this module
log.setLevel(logger.INFO) # One of DEBUG, INFO, WARNING, ERROR, CRITICAL


###################################
# **** HANDLER CLASS SECTION **** #
###################################

class HandlerClass:

    ########################
    # **** INITIALIZE **** #
    ########################
    # widgets allows access to  widgets from the QtVCP files
    # at this point the widgets and hal pins are not instantiated
    def __init__(self, halcomp,widgets,paths):
        self.hal = halcomp
        self.w = widgets
        self.PATHS = paths

    ##########################################
    # SPECIAL FUNCTIONS SECTION              #
    ##########################################

    # at this point:
    # the widgets are instantiated.
    # the HAL pins are built but HAL is not set ready
    # This is where you make HAL pins or initialize state of widgets etc
    def initialized__(self):
        log.debug('INIT qtvcp handler')

    #######################
    # CALLBACKS FROM FORM #
    #######################

    def frontBeltSelected(self, number):
        print('front',number)
    def backBeltSelected(self, number):
        print('back',number)

    def halbuttonclicked(self):
        log.debug('click')
        basename = self.w.lineEdit.text()
        if (basename == 'Belt 1'):
            # disable belt 5
            log.debug('click 1')
            print("Click 1")
        if (basename == 'Belt 2'):
			#  disable belt 6
            log.debug('click 2')
        if basename == 'Belt 3':
			#  disable belt 7	
            log.debug('click 3')					
        if basename == 'Belt 4':
			#  disable belt 8
            log.debug('click 4')
        if basename == 'Belt 5':
			#  disable belt 1
            log.debug('click 5')
        if basename == 'Belt 6':
			#   disable belt 2	
           log.debug('click 6, disable 2')					
        if basename == 'Belt 7':
			#	disable belt 3	
            log.debug('click 7, disable 3')	
        if basename == 'Belt 8':
			# disable belt 4
            log.debug('click 8')		
            					
    ##############################
    # required class boiler code #
    ##############################

    def __getitem__(self, item):
        return getattr(self, item)
    def __setitem__(self, item, value):
        return setattr(self, item, value)

################################
# required handler boiler code #
################################

def get_handlers(halcomp,widgets,paths):
     return [HandlerClass(halcomp,widgets,paths)]
